import LoginComponent from "./index.vue";

const Login = {};

Login.install = (Vue) => {
    const LoginConstructor = Vue.extend(LoginComponent);;
    const instance = new LoginConstructor();

    instance.$mount(document.createElement('div'));
    document.body.appendChild(instance.$el);

    Vue.$login = () => {
        instance.show = true;
    }
    Vue.prototype.$login = () => {
        instance.show = true;
    }
}

export default Login;